#include "compiler.h"
#include "common.h"
#include "picorv32.h"
#include "irq.h"

/* Spurious interrupt; just mask it */
register irqmask_t irq_vector_mask asm(IRQ_VECTOR_MASK_REGISTER);

IRQHANDLER(spurious,0)
{
    mask_irq(vector);
}

#define IRQENTRY(name,irqbase,irqn,irqcount)			\
    IRQHANDLER_DECL(name,irqn)					\
	__attribute__((weak,alias("irqhandler_spurious_0")));

#include "irqtable.h"
